<?php
/*
  Plugin Name: Plagiarism Checker By SmallSeoTools.com
  Plugin URI: http://smallseotools.com/
  Description: Best plugin to check post seo before its published. it checks Plagiarized Content, Keyword Density, Links Count, Broken Links, Images Tages, etc.. <a href="http://www.smallseotools.com" target="_blank">View full features list Click Here</a>.
  Version: 1.2
  Author: Small Seo Tools
  Author URI: http://smallseotools.com/
  License: GPLv3+
*/

/*
Copyright (C) 2015 Small SEO Tools, smallseotools.com (me AT smallseotools.com) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// Prefix: sst

if ( ! defined( 'SST_ACTION_SITE' ) )
	define("SST_ACTION_SITE", "http://smallseotools.com/");

if(strlen(@get_option('smallseotools_acckey')) > 10)
	define("SST_APIKEY", get_option('smallseotools_acckey'));
	
class SST_WP_AhmadSeo{
	
	function __construct() {
		 add_action( 'admin_menu', array( $this, 'sst_add_menus' ) );
	}
	
	function  sst_add_menus()
	{
		 add_menu_page( 'SST Setting Page', 'SST Setting Page', 'manage_options', 'sst-settings', array(
                          __CLASS__,
                         'sst_files_path'
                        ), plugins_url('imgs/fav.png', __FILE__),'14.6');
		
		
		
		
	}
	
	
	
	function sst_files_path()
	{
		include('settingPage.php');
	}
	
	
	
	
	
	
	 /*
     * Actions perform on activation of plugin
     */
    function sst_wpa_install() {
	
    	
		if(strlen(@get_option('smallseotools_acckey')) < 10)
		{
			@add_option('smallseotools_acckey', "");
			@update_option('smallseotools_acckey', "");
		}
		
		
		
	}
	
	

	
}
new SST_WP_AhmadSeo();








add_action( 'admin_menu', 'sst_create_metabox_seo' );
register_activation_hook( __FILE__, array( 'SST_WP_AhmadSeo', 'sst_wpa_install' ) );

function sst_create_metabox_seo()
{
	$post_types = get_post_types();
	foreach($post_types as $type){
		add_meta_box( 'sst-meta-box', 'Plagiarism Checker by <i>" Smallseotools.com "</i>', 'sst_seobox_design', $type, 'normal', 'high' );
	}
}

function sst_main_actions()
{
	include_once("actions.php");
}
add_action( 'admin_init', 'sst_main_actions' );

add_action('admin_head', 'sst_smallseotools_top');

function sst_wp_admin_style() {
		wp_register_style( 'sst_main_css', plugin_dir_url(__FILE__) . 'sst_style.css', false, '1.0.0' );
		wp_enqueue_style( 'sst_main_css' );
		wp_register_style( 'sst_tabs_css', plugin_dir_url(__FILE__) . 'css/tabstyles.css', false, '1.0.0' );
        wp_enqueue_style( 'sst_tabs_css' );
		wp_register_style( 'sst_setting_css', plugin_dir_url(__FILE__) . 'css/settings.css', false, '1.0.0' );
        wp_enqueue_style( 'sst_setting_css' );
		
	}
add_action( 'admin_enqueue_scripts', 'sst_wp_admin_style' );

function sst_smallseotools_top() {
		wp_enqueue_script('jquery');
		wp_enqueue_script( 'sst_stopwords', plugin_dir_url(__FILE__) . 'js/stopwords.js', array('jquery'));
		wp_enqueue_script( 'sst_main_fn', plugin_dir_url(__FILE__) . 'js/sst.fn.new.js', array('jquery'));
		wp_enqueue_script( 'sst_modernizr', plugin_dir_url(__FILE__) . 'js/modernizr.custom.js', array('jquery'));
		wp_enqueue_script( 'sst_cbpFWTabs', plugin_dir_url(__FILE__) . 'js/cbpFWTabs.js', array('jquery'));
		wp_enqueue_script( 'sst_bootstrap', plugin_dir_url(__FILE__) . 'css/bs/js/bootstrap.min.js', array('jquery'));
		wp_enqueue_script( 'sst_nmp', plugin_dir_url(__FILE__) . 'css/bs/js/nmp.js', array('jquery'));
}




function sst_seobox_design()
{
?><span id="sst_main_results" style="display:block;">
    	<span id="sstpluginDir" style="display:none;"><?php echo plugin_dir_url(__FILE__); ?></span>
        <span id="sstMainAccKey" style="display:none;"><?php echo @SST_APIKEY; ?></span>
        <span id="sstPluginVersion" style="display:none;"><?php echo 1; ?></span>
        <span id="sstAdminURL" style="display:none;"><?php echo get_admin_url(); ?></span>
        
    	<span id="contentDetails" style="display:block;">
        	
            
            
            <span class="currentStatus">
            	<img src="<?php echo plugin_dir_url(__FILE__); ?>imgs/loading-5.gif" id="statusImg" />
                
            </span>
            
            
            
            <span id="alerts">
            		
            </span>
            <span id="pluginStatus">
            		
            </span>
            
            
            
            	
                
            </span>  
        </span>
    	
        <span id="sstplagResult" class="tabsContent" style="display:none;">
        	
            <table class="resultstable" id="plagResultsTsst" style="display:block;">
                <tr style="width:100%;">
                    <td style="width:300px;" align="center">
                        <img src="<?php echo plugin_dir_url(__FILE__); ?>imgs/loading3.gif" id="loadGif" class="loadImg" style="margin:0;" >
                        <strong id="checkStatus">Checking Content...</strong> <br>
                        
                        
                         
                    </td>
                    <td align="center"  style="width:350px;">
                    	<span class="percentloading">
                        	<img src="<?php echo plugin_dir_url(__FILE__); ?>imgs/loading.gif" class="loadImg" style="margin:0;" > Loading...
                        </span>
                        <div class="percentBoxs" style="display:none;">
                            <span style="display:block; background:#DAE1E9; border:2px solid #476181; padding:10px 0; margin-bottom:10px; text-align:center; ">
                                Plagiarism
                            </span>
                            <div class="progress" style="height:30px; margin-bottom:0;">
                              <div class="progress-bar progress-bar-danger"  id="plag-bar" style="min-width:8%; width: 0%;line-height:30px;">
                                10%
                              </div>
                            </div>
                        </div>
                    </td>
                    <td align="center"  style="width:350px;">
                    	<span class="percentloading">
                        	<img src="<?php echo plugin_dir_url(__FILE__); ?>imgs/loading.gif" class="loadImg" style="margin:0;" > Loading...
                        </span>
                        <div class="percentBoxs" style="display:none;">
                            <span style="display:block; background:#DAE1E9; border:2px solid #476181; padding:10px 0; margin-bottom:10px; text-align:center; ">
                                Uniqueness
                            </span>
                            <div class="progress"  style="height:30px;margin-bottom:0;">
                              <div class="progress-bar progress-bar-success" id="unique-bar" style="min-width:8%; width: 10%;line-height:30px;">
                                90%
                              </div>
                            </div>
                        </div>    
                    </td>
                </tr>
                <tr>
                    <td colspan="3" align="center">
                    	<strong>Content Sources</strong>
                    </td>
                </tr>    
                <tr>
                    <td colspan="3">
                        <div class="resultsBars" style="float:left;">
                        	
                        </div>
                    </td>
                </tr>
            </table>
        </span>
        <span id="linksResult" style="display:none;">
        	<span class="sec_heading">Links Status</span>
        </span>
        
        
        
        
    </span>
	

    
<?php	
}