<?php
if (basename($_SERVER['PHP_SELF']) == basename(__FILE__)) 
{ 
die('Direct Access not permitted...'); 
}
	
	
	
	
	$activation = 0;
	$accKey = @get_option('smallseotools_acckey');
	
	if(!empty($_POST['submit']) and !empty($_POST['account_api']))
	{
		if(strlen($_POST['account_api']) < 33)
		{
			$accKey = sanitize_text_field($_POST['account_api']);	
			@update_option('smallseotools_acckey', $accKey);
		}
	}
	
	$data = file_get_contents(SST_ACTION_SITE.'frontend/getAccountSettings/'.$accKey);
	
	$user = json_decode($data);
	
	
	if(!empty($user->limit) and defined('SST_APIKEY'))
	{
		
		$activation = 1;
		$premium = ($user->premium == 1)? '<strong class="green">Premium User</strong>' : '<strong class="red">FREE User</strong>';
		$limitUsed = ($user->used/$user->limit)*100;
		$limitUsed = round($limitUsed, 2);
		
		if($limitUsed > 100)
		{
			$limitUsed = 100;
		}
		if($user->used > $user->limit)
		{
			$usedQ = $user->limit;
		}
		
	} else {
		if(!empty($_POST['account_api']))
		{
			$errorMsg =  "API key you entered is not valid; <br>";
		}
		elseif(!empty($accKey)){
			$errorMsg =  "Error in validating API Key";
		}
	}
	

?>

<?php if($activation == 1): ?>
<table id="travel" class="settings">

	
    <thead>    
    	<tr>
            <th colspan="2"><h1>SmallSeoTools Account Settings</h1>
            	<?php if(!empty($errorMsg)) 
					echo $errorMsg; 
				?>
            </th>
        </tr>  
    </thead>
    <tfoot>
    	<tr>
        	<th scope="row">Check Plagiarism?</th>
            <td>
            <a href="<?php echo SST_ACTION_SITE.'plagiarism-checker/'; ?>" target="_blank" class="button button-primary button-large">Free Plagiarism Checker</a>
            </td>
        </tr>
    </tfoot>
    <tbody>
    	<tr>
            <td colspan="2">
				<strong>You plugin is successfully configured and Activated.</strong>
            </td>
        </tr>
       	
        <tr>
            <th scope="col" width="200">Name</th>
            <th scope="col" colspan="6" width="500">Status</th>
        </tr>   
        <tr>
    		<th scope="row">User Name</th>
            <td><?php echo @$user->name; ?></td>
        </tr>
        <tr>
    		<th scope="row">Account Email</th>
            <td><?php echo @$user->email; ?></td>
        </tr>
        <tr>
    		<th scope="row">Account API key</th>
            <td><?php echo @$accKey; ?></td>
        </tr>
        <tr>
    		<th scope="row">Monthly Queries Limit</th>
            <td>
			<strong><?php echo @$user->limit; ?></strong>
            </td>
        </tr>
        <tr>
    		<th scope="row">Queries  Used</th>
            <td>
			(You have used <strong><?php echo $user->used; ?></strong> Queries)
            </td>
        </tr>
        
        
       
        
        
    </tbody>

</table>

<?php else: ?>

<form method="post" action="">
<table id="travel2" class="settings">

	
    <thead>    
    	<tr>
            <th colspan="2"><h1>SmallSEOTools Account Settings</h1></th>
        </tr>
          
    </thead>
    <tfoot>
    	<tr>
        	<td></td>
        	<td scope="row">
            	<center>
            	<?php submit_button(); ?>
            	</center>
            </td>
        </tr>
    </tfoot>
    <tbody>
    	<tr>
    		<td colspan="2">
            	To activate this plugin please create and add plug API key below. <br>
                <a href="<?php echo SST_ACTION_SITE; ?>register/" target="_blank">click here to create API KEY</a>
            </td>
        </tr>
        <tr>
    		<th scope="row">Account API key</th>
            <td>
            	<input type="text" name="account_api" value="<?php echo $accKey; ?>" pattern="([a-z0-9])+" maxlength="32" style="width:100%;" />
            </td>
        </tr>
    </tbody>

</table>
</form>

<?php
endif;
